Trigger Customer Workflow Event
curl --request POST \
--url https://api.jtl-cloud.com/erp/customers/{customerId}/workflowEvents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '{
"Id": 123
}'import requests
url = "https://api.jtl-cloud.com/erp/customers/{customerId}/workflowEvents"
payload = { "Id": 123 }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({Id: 123})
};
fetch('https://api.jtl-cloud.com/erp/customers/{customerId}/workflowEvents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}customer
Trigger Customer Workflow Event
deprecated
Trigger a specific workflow event for a given customer
POST
/
customers
/
{customerId}
/
workflowEvents
Trigger Customer Workflow Event
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the customer for that the manual workflow event should be started. Represents a unique key for identifying a customer in the JTL system.
Body
application/json
The workflow event.
Model Class: CreateWorkflowEvent
ID of the workflow event
Response
Was this page helpful?
⌘I